| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Descriptor_Configuration_t Struct Reference
Class descriptors | Class descriptors | Class descriptors | Class descriptors | Class descriptors | Class descriptors | Class descriptors

## Detailed Description

Type define for the device configuration descriptor structure. This must be defined in the application code, as the configuration descriptor contains several sub-descriptors which vary between devices, and which describe the device's usage to the host.

Definition at line 63 of file Descriptors.h.

`#include "Descriptors.h"`

## Data Fields
USB_Descriptor_Configuration_Header_t | Config
USB_Descriptor_Interface_t | Audio_ControlInterface
USB_Audio_Descriptor_Interface_AC_t | Audio_ControlInterface_SPC
USB_Audio_Descriptor_InputTerminal_t | Audio_InputTerminal
USB_Audio_Descriptor_OutputTerminal_t | Audio_OutputTerminal
USB_Descriptor_Interface_t | Audio_StreamInterface_Alt0
USB_Descriptor_Interface_t | Audio_StreamInterface_Alt1
USB_Audio_Descriptor_Interface_AS_t | Audio_StreamInterface_SPC
USB_Audio_Descriptor_Format_t | Audio_AudioFormat
USB_Audio_SampleFreq_t | Audio_AudioFormatSampleRates [5]
USB_Audio_Descriptor_StreamEndpoint_Std_t | Audio_StreamEndpoint
USB_Audio_Descriptor_StreamEndpoint_Spc_t | Audio_StreamEndpoint_SPC
unsigned char | Audio_Termination
USB_Descriptor_Interface_t | HID_Interface
USB_HID_Descriptor_HID_t | HID_GenericHID
USB_Descriptor_Endpoint_t | HID_ReportINEndpoint
unsigned char | HID_Termination
USB_HID_Descriptor_HID_t | HID_KeyboardHID
USB_Descriptor_Interface_t | MS_Interface
USB_Descriptor_Endpoint_t | MS_DataInEndpoint
USB_Descriptor_Endpoint_t | MS_DataOutEndpoint
unsigned char | MS_Termination
USB_HID_Descriptor_HID_t | HID_MouseHID
USB_Descriptor_Interface_t | CDC_CCI_Interface
USB_CDC_Descriptor_FunctionalHeader_t | CDC_Functional_Header
USB_CDC_Descriptor_FunctionalACM_t | CDC_Functional_ACM
USB_CDC_Descriptor_FunctionalUnion_t | CDC_Functional_Union
USB_Descriptor_Endpoint_t | CDC_NotificationEndpoint
USB_Descriptor_Interface_t | CDC_DCI_Interface
USB_Descriptor_Endpoint_t | CDC_DataOutEndpoint
USB_Descriptor_Endpoint_t | CDC_DataInEndpoint
unsigned char | CDC_Termination

## Field Documentation

USB_Audio_Descriptor_Format_t Audio_AudioFormat

Definition at line 76 of file Descriptors.h.

USB_Audio_SampleFreq_t Audio_AudioFormatSampleRates

Definition at line 77 of file Descriptors.h.

USB_Descriptor_Interface_t Audio_ControlInterface

Definition at line 67 of file Descriptors.h.

USB_Audio_Descriptor_Interface_AC_t Audio_ControlInterface_SPC

Definition at line 68 of file Descriptors.h.

USB_Audio_Descriptor_InputTerminal_t Audio_InputTerminal

Definition at line 69 of file Descriptors.h.

USB_Audio_Descriptor_OutputTerminal_t Audio_OutputTerminal

Definition at line 70 of file Descriptors.h.

USB_Audio_Descriptor_StreamEndpoint_Std_t Audio_StreamEndpoint

Definition at line 78 of file Descriptors.h.

USB_Audio_Descriptor_StreamEndpoint_Spc_t Audio_StreamEndpoint_SPC

Definition at line 79 of file Descriptors.h.

USB_Descriptor_Interface_t Audio_StreamInterface_Alt0

Definition at line 73 of file Descriptors.h.

USB_Descriptor_Interface_t Audio_StreamInterface_Alt1

Definition at line 74 of file Descriptors.h.

USB_Audio_Descriptor_Interface_AS_t Audio_StreamInterface_SPC

Definition at line 75 of file Descriptors.h.

unsigned char Audio_Termination

Definition at line 80 of file Descriptors.h.

USB_Descriptor_Interface_t CDC_CCI_Interface

Definition at line 72 of file Descriptors.h.

USB_Descriptor_Endpoint_t CDC_DataInEndpoint

Definition at line 79 of file Descriptors.h.

USB_Descriptor_Endpoint_t CDC_DataOutEndpoint

Definition at line 78 of file Descriptors.h.

USB_Descriptor_Interface_t CDC_DCI_Interface

Definition at line 77 of file Descriptors.h.

USB_CDC_Descriptor_FunctionalACM_t CDC_Functional_ACM

Definition at line 74 of file Descriptors.h.

USB_CDC_Descriptor_FunctionalHeader_t CDC_Functional_Header

Definition at line 73 of file Descriptors.h.

USB_CDC_Descriptor_FunctionalUnion_t CDC_Functional_Union

Definition at line 75 of file Descriptors.h.

USB_Descriptor_Endpoint_t CDC_NotificationEndpoint

Definition at line 76 of file Descriptors.h.

unsigned char CDC_Termination

Definition at line 80 of file Descriptors.h.

USB_Descriptor_Configuration_Header_t Config

Definition at line 64 of file Descriptors.h.

USB_HID_Descriptor_HID_t HID_GenericHID

Definition at line 57 of file Descriptors.h.

USB_Descriptor_Interface_t HID_Interface

Definition at line 56 of file Descriptors.h.

USB_HID_Descriptor_HID_t HID_KeyboardHID

Definition at line 56 of file Descriptors.h.

USB_HID_Descriptor_HID_t HID_MouseHID

Definition at line 54 of file Descriptors.h.

USB_Descriptor_Endpoint_t HID_ReportINEndpoint

Definition at line 58 of file Descriptors.h.

unsigned char HID_Termination

Definition at line 59 of file Descriptors.h.

USB_Descriptor_Endpoint_t MS_DataInEndpoint

Definition at line 73 of file Descriptors.h.

USB_Descriptor_Endpoint_t MS_DataOutEndpoint

Definition at line 74 of file Descriptors.h.

USB_Descriptor_Interface_t MS_Interface

Definition at line 72 of file Descriptors.h.

unsigned char MS_Termination

Definition at line 75 of file Descriptors.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/lpc18xx_43xx/examples/LPCUSBlib/lpcusblib_AudioOutputDevice/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/lpc17xx_40xx/examples/LPCUSBlib/lpcusblib_AudioOutputDevice/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_AudioInputDevice/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_GenericHIDDevice/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_KeyboardDevice/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_MassStorageDevice/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_MouseDevice/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_VirtualSerialandKeyboardHost/Descriptors.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_VirtualSerialDevice/Descriptors.h